Bug 4456 - Enable addition of PO Number to order
Summary: Enable addition of PO Number to order
Status: Patch doesn't apply
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: PC All
: P5 - low enhancement (vote)
Assignee: Amit Gupta
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks: 10530
  Show dependency treegraph
 
Reported: 2010-05-05 05:25 UTC by Colin Campbell
Modified: 2021-01-28 16:14 UTC (History)
8 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments
Enable addition of PO Number to order (10.65 KB, patch)
2013-08-13 05:10 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug-4456-Enable-addition-of-PO-Number-to-order (7.66 KB, patch)
2013-10-17 16:22 UTC, Amit Gupta
Details | Diff | Splinter Review
Adding new table po_sequence (3.18 KB, patch)
2013-10-17 16:23 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug-4456-Enable addition of PO Number to order (7.65 KB, patch)
2013-10-30 07:21 UTC, Chris Cormack
Details | Diff | Splinter Review
Bug-4456 Adding table po_sequence (3.15 KB, patch)
2013-10-30 07:21 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:27:24 UTC


---- Reported by colin.campbell@ptfs-europe.com 2010-05-05 17:25:08 ----

A version of this is currently implemented on the system at UN FAO, Rome

On order creation a Purchase Order Number is created based on a template, (at Fao this is a prefix of ordertype followed by orderbumber and year).
Acquisitions can be searched by the PO Number in addition to the existing vendor and bib searches



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:27 UTC  ---

This bug was previously known as _bug_ 4456 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4456

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.

Comment 1 Katrin Fischer 2011-10-29 13:35:51 UTC
Hi Colin, 
can you give a short update on the status of this development?
Has a patch been sent for this feature?
Comment 2 Colin Campbell 2011-10-31 14:55:40 UTC
Updated version of patch needs to be submitted to be 3.6-compatible
Comment 3 Amit Gupta 2013-08-13 05:10:59 UTC Comment hidden (obsolete)
Comment 4 I'm just a bot 2013-09-18 09:55:45 UTC
Applying: Bug-4456-Enable addition of PO Number to order
Using index info to reconstruct a base tree...
M	C4/Acquisition.pm
M	installer/data/mysql/kohastructure.sql
M	installer/data/mysql/sysprefs.sql
M	installer/data/mysql/updatedatabase.pl
M	koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tt
Falling back to patching base and 3-way merge...
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/acqui/neworderempty.tt
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/sysprefs.sql
CONFLICT (content): Merge conflict in installer/data/mysql/sysprefs.sql
Auto-merging installer/data/mysql/kohastructure.sql
Auto-merging C4/Acquisition.pm
Patch failed at 0001 Bug-4456-Enable addition of PO Number to order
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 5 Amit Gupta 2013-10-17 16:22:42 UTC Comment hidden (obsolete)
Comment 6 Amit Gupta 2013-10-17 16:23:27 UTC Comment hidden (obsolete)
Comment 7 I'm just a bot 2013-10-30 07:17:32 UTC
Applying: Bug-4456 Adding table po_sequence
Using index info to reconstruct a base tree...
M	installer/data/mysql/kohastructure.sql
M	installer/data/mysql/updatedatabase.pl
Falling back to patching base and 3-way merge...
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging installer/data/mysql/kohastructure.sql
Patch failed at 0001 Bug-4456 Adding table po_sequence
The copy of the patch that failed is found in:
   /home/christopher/git/koha/.git/rebase-apply/patch
When you have resolved this problem, run "git am --continue".
If you prefer to skip this patch, run "git am --skip" instead.
To restore the original branch and stop patching, run "git am --abort".
Comment 8 Chris Cormack 2013-10-30 07:21:22 UTC
Created attachment 22534 [details] [review]
Bug-4456-Enable addition of PO Number to order

The ability to have a running purchase order sequence

Test Plan:
1) Set systempreference EnablePONumber to Enable for auto generating purchase order number.
2) Select prefix for ex: Direct to requestor (Create PONUMPREFIX in authorized value and insert values).
3) Create an basket.
4) Create an order.
5) Select prefix value for ex: Direct to requestor.
6) Purchase order number will come in purchase order section for ex: DIR0000001.
7) Click on save button.
Comment 9 Chris Cormack 2013-10-30 07:21:44 UTC
Created attachment 22535 [details] [review]
Bug-4456 Adding table po_sequence
Comment 10 Marc Véron 2014-02-28 10:34:29 UTC
Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/acquisitions.pref
Comment 11 Mark Tompsett 2015-04-04 21:21:59 UTC
Should this be rescued, and if so how? The whole sequential number problem needs a better solution than writing sequence generation for each number we encounter. See bug 10454 which sort of got lost in discussion.
Comment 12 Katrin Fischer 2015-05-15 21:35:30 UTC
The approach taken here looks similar to the cataloguing plugin stocknumberAV.pl - maybe some kind of plugin mechanism would be helpful?